Skip to main content
GET
https://{tenantDomain}/api/v2
/
user-blocks
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.UserBlocks.ListByIdentifierAsync(
            new ListUserBlocksByIdentifierRequestParameters {
                Identifier = "identifier",
                ConsiderBruteForceEnablement = true
            }
        );
    }

}
{
  "blocked_for": [
    {
      "identifier": "john.doe@gmail.com",
      "ip": "10.0.0.1",
      "connection": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

identifier
string
required

Should be any of a username, phone number, or email.

consider_brute_force_enablement
boolean
If true and Brute Force Protection is enabled and configured to block logins, will return a list of blocked IP addresses.
If true and Brute Force Protection is disabled, will return an empty list.

Response

User successfully retrieved.

blocked_for
object[]

Array of identifier + IP address pairs. IP address is optional, and may be omitted in certain circumstances (such as Account Lockout mode).